# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole site, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing these this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'jekyll serve'. If you change this file, please restart the server process.

# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.github_repo }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.
title: CuriosityCounts.org
description: Free learning for all.
baseurl: "/" # the subpath of your site, e.g. /blog
url: "https://curiositycounts.org" # the base hostname & protocol for your site, e.g. http://example.com

permalink: pretty
exclude: ["node_modules/", "*.gemspec", "*.gem", "Gemfile", "Gemfile.lock", "package.json", "package-lock.json",  "script/", "LICENSE.txt", "lib/", "bin/", "README.md", "Rakefile"]

# Set a path/url to a logo that will be displayed instead of the title
#logo: "/assets/images/just-the-docs.png"

# Enable or disable the site search
search_enabled: true

# Set the search token separator for hyphenated-word search:
search_tokenizer_separator: /[\s/]+/

# Enable or disable heading anchors
heading_anchors: true

# Aux links for the upper right navigation
# aux_links:
#  "My Locker":
#    - "https://locker.curiositycounts.org"

# Footer content appears at the bottom of every page's main content
footer_content: "&copy; CuriosityCounts.org. Content licensed under <a href=\"https://creativecommons.org/licenses/by/4.0/\">CC BY 4.0</a>."

# Color scheme currently only supports "dark" or nil (default)
color_scheme: nil

plugins:
  - jekyll-seo-tag

compress_html:
  clippings: all
  comments: all
  endings: all
  startings: []
  blanklines: false
  profile: false
